import * as React from 'react';
import { Host, HostsTableActions, ActionCheck } from '../../../common';
import { AgentClusterInstallK8sResource, AgentK8sResource, InfraEnvK8sResource } from '../../types';
import { ActionsResolver, TableRow } from '../../../common/components/hosts/AITable';
import { AgentTableActions, ClusterDeploymentWizardStepsType } from '../ClusterDeployment/types';
import { BareMetalHostK8sResource } from '../../types/k8s/bare-metal-host';
import { TFunction } from 'i18next';
export declare const agentHostnameColumn: (hosts: Host[], agents: AgentK8sResource[], bareMetalHosts: BareMetalHostK8sResource[], onEditHostname?: HostsTableActions['onEditHost'], canEditHostname?: HostsTableActions['canEditHost'], canEditBMH?: HostsTableActions['canEditBMH']) => TableRow<Host>;
export declare const discoveryTypeColumn: (agents: AgentK8sResource[], bareMetalHosts: BareMetalHostK8sResource[], t: any) => TableRow<Host>;
declare type AgentStatusColumnProps = {
    agents: AgentK8sResource[];
    bareMetalHosts?: BareMetalHostK8sResource[];
    onEditHostname?: AgentTableActions['onEditHost'];
    onApprove?: AgentTableActions['onApprove'];
    wizardStepId?: ClusterDeploymentWizardStepsType;
    t: TFunction;
};
export declare const agentStatusColumn: ({ agents, bareMetalHosts, onEditHostname, onApprove, wizardStepId, t, }: AgentStatusColumnProps) => TableRow<Host>;
export declare const clusterColumn: (agents: AgentK8sResource[], getClusterDeploymentLink: (cd: {
    name: string;
    namespace: string;
}) => string | React.ReactNode, t: any) => TableRow<Host>;
export declare const infraEnvColumn: (agents: AgentK8sResource[], t: any) => TableRow<Host>;
export declare const canEditBMH: (bmh: BareMetalHostK8sResource, t: any) => ActionCheck;
export declare const canEditAgent: (agent: AgentK8sResource, t: any) => ActionCheck;
export declare const canChangeHostname: (agents: AgentK8sResource[], bareMetalHosts: BareMetalHostK8sResource[], t: any) => (h: Host) => ActionCheck;
export declare const canUnbindAgent: (agentClusterInstalls: AgentClusterInstallK8sResource[] | undefined, agent: AgentK8sResource, t: any) => ActionCheck;
declare type AgentsTableResources = {
    agents: AgentK8sResource[];
    bmhs?: BareMetalHostK8sResource[];
    infraEnv?: InfraEnvK8sResource;
    agentClusterInstalls?: AgentClusterInstallK8sResource[];
};
export declare const useAgentsTable: ({ agents, bmhs, infraEnv, agentClusterInstalls }: AgentsTableResources, tableActions?: Partial<AgentTableActions> | undefined) => [Host[], HostsTableActions, ActionsResolver<Host>];
export declare const filterHosts: (hosts: Host[], agents: AgentK8sResource[], bareMetalHosts: BareMetalHostK8sResource[], hostnameFilter: string | undefined, statusFilter: string[]) => Host[];
declare type UseAgentsFilterArgs = {
    agents: AgentK8sResource[];
    bmhs: BareMetalHostK8sResource[];
    hosts: Host[];
};
export declare const useAgentsFilter: ({ agents, bmhs, hosts }: UseAgentsFilterArgs) => {
    statusCount: {};
    hostnameFilter: string | undefined;
    setHostnameFilter: React.Dispatch<React.SetStateAction<string | undefined>>;
    statusFilter: string[];
    setStatusFilter: React.Dispatch<React.SetStateAction<string[]>>;
    filteredHosts: Host[];
};
export {};
