import { FormikProps } from 'formik';
import * as React from 'react';
import { Ref } from 'react';
import { ClusterDetailsValues } from '../../../common';
import { AgentClusterInstallK8sResource, AgentK8sResource, ClusterDeploymentK8sResource } from '../../types';
import { ClusterImageSetK8sResource } from '../../types/k8s/cluster-image-set';
import { ClusterDetailsFormFieldsProps } from './ClusterDetailsFormFields';
declare type DetailsFormBodyProps = {
    clusterImages: ClusterImageSetK8sResource[];
    onValuesChanged: (values: ClusterDetailsValues, initRender: boolean) => void;
    clusterDeployment?: ClusterDeploymentK8sResource;
    agentClusterInstall?: AgentClusterInstallK8sResource;
    agents?: AgentK8sResource[];
    defaultBaseDomain?: string;
    pullSecret?: string;
    extensionAfter: ClusterDetailsFormFieldsProps['extensionAfter'];
};
declare type ACMClusterDeploymentDetailsStepProps = DetailsFormBodyProps & {
    usedClusterNames: string[];
    formRef: Ref<FormikProps<ClusterDetailsValues>>;
};
declare const ACMClusterDeploymentDetailsStep: React.FC<ACMClusterDeploymentDetailsStepProps>;
export default ACMClusterDeploymentDetailsStep;
