import * as Yup from 'yup';
import { AgentClusterInstallK8sResource, AgentK8sResource, ClusterDeploymentK8sResource, InfraEnvK8sResource } from '../../types';
declare type UseNetworkingFormikArgs = {
    clusterDeployment: ClusterDeploymentK8sResource;
    agentClusterInstall: AgentClusterInstallK8sResource;
    agents: AgentK8sResource[];
};
export declare const useNetworkingFormik: ({ clusterDeployment, agentClusterInstall, agents, }: UseNetworkingFormikArgs) => {
    initialValues: {
        enableProxy: boolean;
        editProxy: boolean;
        clusterNetworkCidr?: string | undefined;
        clusterNetworkHostPrefix?: number | undefined;
        serviceNetworkCidr?: string | undefined;
        apiVip?: string | undefined;
        ingressVip?: string | undefined;
        sshPublicKey?: string | undefined;
        vipDhcpAllocation?: boolean | undefined;
        networkType?: "OpenShiftSDN" | "OVNKubernetes" | undefined;
        machineNetworks?: import("../../../common").MachineNetwork[] | undefined;
        clusterNetworks?: import("../../../common").ClusterNetwork[] | undefined;
        serviceNetworks?: import("../../../common").ServiceNetwork[] | undefined;
        hostSubnet?: string | undefined;
        managedNetworkingType: "userManaged" | "clusterManaged";
        stackType?: "singleStack" | "dualStack" | undefined;
    };
    validationSchema: Yup.Lazy;
};
declare type UseInfraEnvProxiesArgs = {
    agents: AgentK8sResource[];
    fetchInfraEnv: (name: string, namespace: string) => Promise<InfraEnvK8sResource>;
};
export declare const useInfraEnvProxies: ({ agents, fetchInfraEnv }: UseInfraEnvProxiesArgs) => {
    infraEnvWithProxy: InfraEnvK8sResource | undefined;
    sameProxies: boolean;
    infraEnvsError: string | undefined;
    infraEnvsLoading: boolean;
};
export {};
