import { WizardStepsValidationMap } from '../../../common/components/clusterWizard/validationsInfoUtils';
import { AgentK8sResource } from '../../types/k8s/agent';
import { AgentClusterInstallK8sResource } from '../../types/k8s/agent-cluster-install';
export declare type ClusterWizardStepsType = 'cluster-details' | 'hosts-selection' | 'hosts-discovery' | 'networking' | 'review';
export declare const wizardStepsValidationsMap: WizardStepsValidationMap<ClusterWizardStepsType>;
export declare const allClusterWizardSoftValidationIds: ("connected" | "media-connected" | "has-inventory" | "has-min-cpu-cores" | "has-min-valid-disks" | "has-min-memory" | "machine-cidr-defined" | "has-cpu-cores-for-role" | "has-memory-for-role" | "hostname-unique" | "hostname-valid" | "belongs-to-machine-cidr" | "ignition-downloadable" | "belongs-to-majority-group" | "valid-platform-network-settings" | "ntp-synced" | "container-images-available" | "lso-requirements-satisfied" | "ocs-requirements-satisfied" | "odf-requirements-satisfied" | "sufficient-installation-disk-speed" | "cnv-requirements-satisfied" | "sufficient-network-latency-requirement-for-role" | "sufficient-packet-loss-requirement-for-role" | "has-default-route" | "api-domain-name-resolved-correctly" | "api-int-domain-name-resolved-correctly" | "apps-domain-name-resolved-correctly" | "compatible-with-cluster-platform" | "dns-wildcard-not-configured" | "disk-encryption-requirements-satisfied" | "non-overlapping-subnets" | "vsphere-disk-uuid-enabled" | "compatible-agent" | "cluster-cidr-defined" | "service-cidr-defined" | "no-cidrs-overlapping" | "networks-same-address-families" | "network-prefix-valid" | "machine-cidr-equals-to-calculated-cidr" | "api-vip-defined" | "api-vip-valid" | "ingress-vip-defined" | "ingress-vip-valid" | "all-hosts-are-ready-to-install" | "sufficient-masters-count" | "dns-domain-defined" | "pull-secret-set" | "ntp-server-configured" | "network-type-valid")[];
export declare const canNextFromHostSelectionStep: (agentClusterInstall: AgentClusterInstallK8sResource, agents: AgentK8sResource[]) => boolean;
export declare const canNextFromHostDiscoveryStep: (agentClusterInstall: AgentClusterInstallK8sResource, agents: AgentK8sResource[]) => boolean;
export declare const canNextFromNetworkingStep: (agentClusterInstall: AgentClusterInstallK8sResource, agents: AgentK8sResource[]) => boolean;
export declare const canNextFromReviewStep: (agentClusterInstall: AgentClusterInstallK8sResource, agents: AgentK8sResource[]) => boolean;
