/// <reference types="react" />
import { AgentK8sResource, ClusterImageSetK8sResource, ConfigMapK8sResource, SecretK8sResource } from '../../../types';
import { AgentMachineK8sResource, HostedClusterK8sResource, NodePoolK8sResource } from '../types';
import './ClusterInstallationProgress.css';
declare type ClusterInstallationProgressProps = {
    agents: AgentK8sResource[];
    agentMachines: AgentMachineK8sResource[];
    hostedCluster: HostedClusterK8sResource;
    fetchSecret: (name: string, namespace: string) => Promise<SecretK8sResource>;
    nodePools: NodePoolK8sResource[];
    onRemoveNodePool: (nodePool: NodePoolK8sResource) => Promise<unknown>;
    onUpdateNodePool: (nodePool: NodePoolK8sResource, nodePoolPatches: {
        op: string;
        value: unknown;
        path: string;
    }[]) => Promise<void>;
    onAddNodePool: (nodePool: NodePoolK8sResource) => Promise<void>;
    clusterImages: ClusterImageSetK8sResource[];
    launchToOCP: (urlSuffix: string, newTab: boolean) => void;
    supportedVersionsCM?: ConfigMapK8sResource;
};
declare const ClusterInstallationProgress: ({ hostedCluster, fetchSecret, launchToOCP, ...rest }: ClusterInstallationProgressProps) => JSX.Element;
export default ClusterInstallationProgress;
