/// <reference types="react" />
import { AgentMachineK8sResource, HostedClusterK8sResource, NodePoolK8sResource } from '../types';
import { AgentK8sResource, ClusterImageSetK8sResource, ConfigMapK8sResource } from '../../../types';
declare type NodePoolsProgressProps = {
    agents: AgentK8sResource[];
    nodePools: NodePoolK8sResource[];
    agentMachines: AgentMachineK8sResource[];
    hostedCluster: HostedClusterK8sResource;
    onRemoveNodePool: (nodePool: NodePoolK8sResource) => Promise<unknown>;
    onUpdateNodePool: (nodePool: NodePoolK8sResource, nodePoolPatches: {
        op: string;
        value: unknown;
        path: string;
    }[]) => Promise<void>;
    onAddNodePool: (nodePool: NodePoolK8sResource) => Promise<void>;
    clusterImages: ClusterImageSetK8sResource[];
    supportedVersionsCM?: ConfigMapK8sResource;
};
declare const NodePoolsProgress: ({ nodePools, agentMachines, hostedCluster, agents, ...rest }: NodePoolsProgressProps) => JSX.Element;
export default NodePoolsProgress;
