/// <reference types="react" />
import { TableRow } from '../../../../common/components/hosts/AITable';
import { AgentK8sResource, ClusterImageSetK8sResource, ConfigMapK8sResource } from '../../../types';
import { AgentMachineK8sResource, HostedClusterK8sResource, NodePoolK8sResource } from '../types';
import './NodePoolsTable.css';
declare type NodePoolsTableProps = {
    nodePools: NodePoolK8sResource[];
    agents: AgentK8sResource[];
    onRemoveNodePool: (nodePool: NodePoolK8sResource) => Promise<unknown>;
    onUpdateNodePool: (nodePool: NodePoolK8sResource, nodePoolPatches: {
        op: string;
        value: unknown;
        path: string;
    }[]) => Promise<void>;
    hostedCluster: HostedClusterK8sResource;
    onAddNodePool: (nodePool: NodePoolK8sResource) => Promise<void>;
    clusterImages: ClusterImageSetK8sResource[];
    agentMachines: AgentMachineK8sResource[];
    supportedVersionsCM?: ConfigMapK8sResource;
};
declare type NodePoolWithAgents = {
    nodePool: NodePoolK8sResource;
    agents: AgentK8sResource[];
};
export declare const nodePoolNameColumn: () => TableRow<NodePoolWithAgents>;
declare const NodePoolsTable: ({ nodePools, agents, onRemoveNodePool, onUpdateNodePool, hostedCluster, onAddNodePool, clusterImages, agentMachines, supportedVersionsCM, }: NodePoolsTableProps) => JSX.Element;
export default NodePoolsTable;
