/// <reference types="react" />
import { FormikProps } from 'formik';
import { ObjectSchema } from 'yup';
import { ClusterImageSetK8sResource, ConfigMapK8sResource } from '../../../../types';
export declare type DetailsFormValues = {
    name: string;
    openshiftVersion: string;
    pullSecret: string;
    baseDnsDomain: string;
};
declare type UseDetailsFormikArgs = {
    usedClusterNames: string[];
    clusterImages: ClusterImageSetK8sResource[];
    initPullSecret?: string;
    initBaseDomain?: string;
};
export declare type UseDetailsFormik = (args: UseDetailsFormikArgs) => [DetailsFormValues, ObjectSchema<Omit<DetailsFormValues, 'openshiftVersion'>>];
export declare type DetailsStepProps = {
    usedClusterNames: string[];
    clusterImages: ClusterImageSetK8sResource[];
    onValuesChanged: (values: DetailsFormValues, initRender: boolean) => void;
    pullSecret?: string;
    extensionAfter: {
        [key: string]: React.ReactElement;
    };
    formRef: React.Ref<FormikProps<DetailsFormValues>>;
    initPullSecret?: string;
    initBaseDomain?: string;
    supportedVersionsCM?: ConfigMapK8sResource;
};
export declare type DetailsFormProps = Pick<DetailsStepProps, 'onValuesChanged' | 'extensionAfter' | 'clusterImages' | 'supportedVersionsCM'>;
export {};
