/// <reference types="react" />
import { OpenshiftVersionOptionType } from '../../../../common';
import { AgentK8sResource } from '../../../types';
import { AgentMachineK8sResource, HostedClusterK8sResource, NodePoolK8sResource } from '../types';
export declare type NodePoolFormValues = {
    nodePoolName: string;
    agentLabels: {
        key: string;
        value: string;
    }[];
    count: number;
    openshiftVersion: string;
};
declare type NodePoolFormProps = {
    agents: AgentK8sResource[];
    agentMachines?: AgentMachineK8sResource[];
    hostedCluster: HostedClusterK8sResource;
    nodePool?: NodePoolK8sResource;
    ocpVersions?: OpenshiftVersionOptionType[];
};
declare const NodePoolForm: ({ agents, nodePool, hostedCluster, ocpVersions, agentMachines, }: NodePoolFormProps) => JSX.Element;
export default NodePoolForm;
