import React, { PropsWithChildren } from 'react';
export declare type ErrorSeverity = 'error' | 'warning' | 'info';
export declare type ExceptionReporter = (error: unknown, message?: string, severity?: ErrorSeverity) => void;
export declare const ErrorMonitorContext: React.Context<{
    captureException: ExceptionReporter;
}>;
export declare const ErrorMonitorContextProvider: ({ exceptionReporter, children, }: React.PropsWithChildren<{
    exceptionReporter: ExceptionReporter;
}>) => JSX.Element;
export declare const useErrorMonitor: () => {
    captureException: ExceptionReporter;
};
