import { Address4, Address6 } from 'ip-address';
import { Cluster, ClusterDefaultConfig, ClusterNetwork, ServiceNetwork } from '../../api';
import { HostDiscoveryValues, HostSubnets, StorageValues, Validation, ValidationGroup, ValidationsInfo } from '../../types/clusters';
export declare const getSubnet: (cidr: string) => Address6 | Address4 | null;
export declare const getHumanizedSubnetRange: (subnet: Address6 | Address4 | null) => string;
export declare const getHumanizedSubnet: (subnet: Address6 | Address4 | null) => string;
export declare const getHostSubnets: (cluster: Cluster) => HostSubnets;
export declare const getSubnetFromMachineNetworkCidr: (machineNetworkCidr?: string | undefined) => string | undefined;
export declare const serviceNetworksEqual: (array1: ServiceNetwork[], array2: ServiceNetwork[]) => boolean;
export declare const clusterNetworksEqual: (array1: ClusterNetwork[], array2: ClusterNetwork[]) => boolean;
export declare const isAdvNetworkConf: (cluster: Cluster, defaultNetworkSettings: ClusterDefaultConfig, defaultNetworkType: string) => boolean;
export declare const canSelectNetworkTypeSDN: (isSNO: boolean, isIPv6?: boolean) => boolean;
export declare const getDefaultNetworkType: (isSNO: boolean, isIPv6?: boolean) => "OpenShiftSDN" | "OVNKubernetes";
export declare const canBeDualStack: (subnets: HostSubnets) => boolean;
export declare const isDualStack: ({ machineNetworks, clusterNetworks, serviceNetworks, }: Pick<Cluster, 'machineNetworks' | 'clusterNetworks' | 'serviceNetworks'>) => boolean | undefined;
export declare const isSubnetInIPv6: ({ clusterNetworkCidr, machineNetworkCidr, serviceNetworkCidr, }: Pick<Cluster, 'clusterNetworkCidr' | 'machineNetworkCidr' | 'serviceNetworkCidr'>) => boolean;
export declare const getHostDiscoveryInitialValues: (cluster: Cluster) => HostDiscoveryValues;
export declare const getStorageInitialValues: () => StorageValues;
export declare function filterValidationsInfoByGroup(validationsInfo: ValidationsInfo, selectedGroups?: ValidationGroup[]): ValidationsInfo;
export declare function filterValidationsInfoByStatus(validationsInfo: ValidationsInfo, selectedStatuses?: Validation['status'][]): ValidationsInfo;
