import * as Yup from 'yup';
import { Cluster, ManagedDomain } from '../../api';
import { OpenshiftVersionOptionType } from '../../types';
import { TangServer } from '../clusterConfiguration/DiskEncryptionFields/DiskEncryptionValues';
import { FeatureSupportLevelData } from '../featureSupportLevels';
import { ClusterDetailsValues } from './types';
import { TFunction } from 'i18next';
export declare const parseTangServers: (tangServersString?: string | undefined) => TangServer[];
export declare const getClusterDetailsInitialValues: ({ cluster, pullSecret, managedDomains, ocpVersions, baseDomain, }: {
    cluster?: Cluster | undefined;
    pullSecret?: string | undefined;
    managedDomains: ManagedDomain[];
    ocpVersions: OpenshiftVersionOptionType[];
    baseDomain?: string | undefined;
}) => ClusterDetailsValues;
export declare const getClusterDetailsValidationSchema: ({ usedClusterNames, featureSupportLevels, pullSecretSet, ocpVersions, validateUniqueName, isOcm, t, }: {
    usedClusterNames: string[];
    featureSupportLevels: FeatureSupportLevelData;
    pullSecretSet?: boolean | undefined;
    ocpVersions?: OpenshiftVersionOptionType[] | undefined;
    validateUniqueName?: boolean | undefined;
    isOcm?: boolean | undefined;
    t: any;
}) => Yup.Lazy;
