import React from 'react';
import { FeatureId, FeatureIdToSupportLevel, SupportLevel } from '../../types';
import { TFunction } from 'i18next';
export declare type FeatureSupportLevelData = {
    getVersionSupportLevelsMap(version: string): FeatureIdToSupportLevel | undefined;
    getFeatureSupportLevel(version: string, featureId: FeatureId): SupportLevel | undefined;
    isFeatureDisabled(version: string, featureId: FeatureId): boolean;
    getFeatureDisabledReason(version: string, featureId: FeatureId, t?: TFunction): string | undefined;
    isFeatureSupported(version: string, featureId: FeatureId): boolean;
};
export declare const FeatureSupportLevelContextProvider: React.FC<{
    children: React.ReactNode;
    value: FeatureSupportLevelData;
}>;
export declare const useFeatureSupportLevel: () => FeatureSupportLevelData;
