import React from 'react';
import { ICell, IAction, ISeparator } from '@patternfly/react-table';
import { WithTestID } from '../../types';
import { usePagination } from './usePagination';
import './HostsTable.css';
export declare type TableRow<R> = {
    header: ICell | string;
    cell?: (obj: R) => {
        title: React.ReactNode;
        props: any;
        sortableValue?: string | number;
    };
};
export declare type ActionsResolver<R> = (obj: R) => (IAction | ISeparator)[];
export declare type ExpandComponentProps<R> = {
    obj: R;
};
export declare type AITableProps<R> = ReturnType<typeof usePagination> & {
    data: R[];
    content: TableRow<R>[];
    ExpandComponent?: React.ComponentType<ExpandComponentProps<R>>;
    children: React.ReactNode;
    getDataId: (obj: R) => string;
    onSelect?: (obj: R, isSelected: boolean) => void;
    selectedIDs?: string[];
    setSelectedIDs?: (selectedIDs: string[]) => void;
    className?: string;
    actionResolver?: ActionsResolver<R>;
    canSelectAll?: boolean;
};
declare const AITable: <R extends unknown>({ data, testId, className, content, ExpandComponent, getDataId, actionResolver, onSelect, children, selectedIDs, setSelectedIDs, perPage, page, onSetPage, onPerPageSelect, showPagination, perPageOptions, canSelectAll, }: WithTestID & {
    showPagination: boolean;
    perPage: number;
    page: number;
    onSetPage: any;
    onPerPageSelect: any;
    perPageOptions: any[];
} & {
    data: R[];
    content: TableRow<R>[];
    ExpandComponent?: React.ComponentClass<ExpandComponentProps<R>, any> | React.FunctionComponent<ExpandComponentProps<R>> | undefined;
    children: React.ReactNode;
    getDataId: (obj: R) => string;
    onSelect?: ((obj: R, isSelected: boolean) => void) | undefined;
    selectedIDs?: string[] | undefined;
    setSelectedIDs?: ((selectedIDs: string[]) => void) | undefined;
    className?: string | undefined;
    actionResolver?: ActionsResolver<R> | undefined;
    canSelectAll?: boolean | undefined;
}) => JSX.Element;
export default AITable;
