import * as React from 'react';
import { HostsNotShowingLinkProps } from '../clusterConfiguration';
import { Host } from '../../api';
import { ExpandComponentProps, AITableProps } from '../../../common/components/hosts/AITable';
import { WithTestID } from '../../types';
import { usePagination } from './usePagination';
declare type HostsTableEmptyStateProps = {
    setDiscoveryHintModalOpen?: HostsNotShowingLinkProps['setDiscoveryHintModalOpen'];
    isSNO?: boolean;
};
export declare const HostsTableEmptyState: React.FC<HostsTableEmptyStateProps>;
export declare const DefaultExpandComponent: ({ obj }: ExpandComponentProps<Host>) => JSX.Element;
declare type HostsTableProps = ReturnType<typeof usePagination> & Pick<AITableProps<Host>, 'content' | 'actionResolver' | 'onSelect' | 'selectedIDs' | 'setSelectedIDs' | 'ExpandComponent' | 'className' | 'canSelectAll'> & {
    hosts: Host[];
    skipDisabled?: boolean;
    children: React.ReactNode;
};
declare const HostsTable: React.FC<HostsTableProps & WithTestID>;
export default HostsTable;
