import * as React from 'react';
import { Address4, Address6 } from 'ip-address';
import { Cluster, Host, Interface } from '../../api';
import { ActionsResolver, TableRow } from './AITable';
import { HostsTableActions } from './types';
export declare const getSelectedNic: (nics: Interface[], currentSubnet: Address4 | Address6) => Interface | undefined;
export declare const hostnameColumn: (t: any, onEditHostname?: HostsTableActions['onEditHost'], hosts?: Host[] | undefined, canEditHostname?: HostsTableActions['canEditHostname']) => TableRow<Host>;
export declare const roleColumn: (t: any, canEditRole?: HostsTableActions['canEditRole'], onEditRole?: HostsTableActions['onEditRole'], schedulableMasters?: boolean | undefined, position?: any) => TableRow<Host>;
export declare const statusColumn: (t: any, AdditionalNTPSourcesDialogToggleComponent?: React.FC<{}> | undefined, onEditHostname?: HostsTableActions['onEditHost'], UpdateDay2ApiVipDialogToggleComponent?: React.FC<{}> | undefined) => TableRow<Host>;
export declare const discoveredAtColumn: TableRow<Host>;
export declare const cpuCoresColumn: TableRow<Host>;
export declare const memoryColumn: TableRow<Host>;
export declare const disksColumn: TableRow<Host>;
export declare const countColumn: (cluster: Cluster) => TableRow<Host>;
export declare const activeNICColumn: (cluster: Cluster) => TableRow<Host>;
export declare const ipv4Column: (cluster: Cluster) => TableRow<Host>;
export declare const ipv6Column: (cluster: Cluster) => TableRow<Host>;
export declare const macAddressColumn: (cluster: Cluster) => TableRow<Host>;
export declare const hostActionResolver: ({ onInstallHost, canInstallHost, onEditHost, canEditHost, onHostEnable, canEnable, onHostDisable, canDisable, onHostReset, canReset, onViewHostEvents, onDownloadHostLogs, canDownloadHostLogs, onDeleteHost, canDelete, onEditBMH, canEditBMH, canUnbindHost, onUnbindHost, }: HostsTableActions) => ActionsResolver<Host>;
