import { FormikErrors, FormikTouched } from 'formik';
import * as Yup from 'yup';
import { OpenshiftVersionOptionType } from '../../../types';
import { ClusterNetwork, MachineNetwork, ServiceNetwork } from '../../../api';
export declare const getFieldId: (fieldName: string, fieldType: string, unique?: string | undefined) => string;
export declare const trimSshPublicKey: (key: string) => string;
export declare const trimCommaSeparatedList: (list: string) => string;
export declare const getFormikErrorFields: <FormikValues>(errors: FormikErrors<FormikValues>, touched: FormikTouched<FormikValues>) => string[];
export declare const getDefaultOpenShiftVersion: (versions: OpenshiftVersionOptionType[]) => string;
export declare const labelsToArray: (labels?: {
    [x: string]: string;
}) => string[];
export declare const parseStringLabels: (strValues: string[]) => {
    [x: string]: string;
};
export declare const uniqueLabels: (labelPairs: string[]) => string[];
export declare const selectedLabelsOnly: (labelPairs: string[], allowedKeys: string[]) => string[];
export declare const getRichTextValidation: <T extends object>(schema: Yup.ObjectSchema<T> | Yup.Lazy) => (values: T) => Promise<{
    [key: string]: string[];
} | undefined>;
export declare const getFormikArrayItemFieldName: (arrayFieldName: string, idx: number) => string;
export declare const getFormikObjectItemFieldName: (objectFieldName: string, idx: number) => string;
export declare const allSubnetsIPv4: (networks: (MachineNetwork | ClusterNetwork | ServiceNetwork)[] | undefined) => boolean;
