import * as Yup from 'yup';
import { NetworkConfigurationValues, HostSubnets } from '../../../types/clusters';
import { ProxyFieldsType } from '../../../types';
export declare const nameValidationSchema: (t: any, usedClusterNames: string[], baseDnsDomain?: string, validateUniqueName?: boolean | undefined, isOcm?: boolean) => Yup.StringSchema<string>;
export declare const sshPublicKeyValidationSchema: Yup.StringSchema<string>;
export declare const pullSecretValidationSchema: Yup.StringSchema<string>;
export declare const ipValidationSchema: Yup.StringSchema<string>;
export declare const macAddressValidationSchema: Yup.StringSchema<string>;
export declare const vipRangeValidationSchema: (hostSubnets: HostSubnets, { machineNetworks, hostSubnet }: NetworkConfigurationValues) => Yup.StringSchema<string>;
export declare const hostSubnetValidationSchema: Yup.StringSchema<string>;
export declare const vipValidationSchema: (hostSubnets: HostSubnets, values: NetworkConfigurationValues, initialValue?: string | undefined) => Yup.MixedSchema<any>;
export declare const ipBlockValidationSchema: Yup.StringSchema<string>;
export declare const dnsNameValidationSchema: Yup.StringSchema<string>;
export declare const hostPrefixValidationSchema: ({ clusterNetworkCidr, }: Partial<NetworkConfigurationValues>) => Yup.NumberSchema<number>;
export declare const richNameValidationSchema: (t: any, usedNames: string[], origName?: string | undefined) => Yup.StringSchema<string>;
export declare const httpProxyValidationSchema: (values: ProxyFieldsType, pairValueName: 'httpProxy' | 'httpsProxy') => Yup.StringSchema<string>;
export declare const noProxyValidationSchema: Yup.StringSchema<string>;
export declare const ntpSourceValidationSchema: Yup.StringSchema<string>;
export declare const day2ApiVipValidationSchema: Yup.StringSchema<string>;
export declare const bmcAddressValidationSchema: (t: any) => Yup.StringSchema<string>;
export declare const locationValidationSchema: (t: any) => Yup.StringSchema<string>;
export declare const machineNetworksValidationSchema: Yup.ArraySchema<{
    cidr: string;
    clusterId: string;
}>;
export declare const clusterNetworksValidationSchema: Yup.ArraySchema<any>;
export declare const serviceNetworkValidationSchema: Yup.ArraySchema<{
    cidr: string;
    clusterId: string;
}>;
export declare const dualStackValidationSchema: (field: string) => Yup.ArraySchema<unknown>;
export declare const IPv4ValidationSchema: Yup.ArraySchema<unknown>;
