import { ValidationsInfo } from '../types';
import { Cluster } from '../api';
export declare const selectMachineNetworkCIDR: ({ machineNetworks, machineNetworkCidr, }: Pick<Cluster, 'machineNetworks' | 'machineNetworkCidr'>) => string | undefined;
export declare const selectClusterNetworkCIDR: ({ clusterNetworks, clusterNetworkCidr, }: Pick<Cluster, 'clusterNetworks' | 'clusterNetworkCidr'>) => string | undefined;
export declare const selectClusterNetworkHostPrefix: ({ clusterNetworks, clusterNetworkHostPrefix, }: Pick<Cluster, 'clusterNetworks' | 'clusterNetworkHostPrefix'>) => number | undefined;
export declare const selectServiceNetworkCIDR: ({ serviceNetworks, serviceNetworkCidr, }: Pick<Cluster, 'serviceNetworks' | 'serviceNetworkCidr'>) => string | undefined;
export declare const selectMonitoredOperators: (cluster?: Pick<Cluster, "monitoredOperators"> | undefined) => import("../api").MonitoredOperator[];
export declare const selectOlmOperators: (cluster?: Pick<Cluster, "monitoredOperators"> | undefined) => import("../api").MonitoredOperator[];
export declare const hasODFOperators: (cluster: Pick<Cluster, 'monitoredOperators'>) => boolean;
export declare const isCompact: (cluster: Pick<Cluster, 'hosts'>) => boolean;
export declare const isSNO: ({ highAvailabilityMode }: Partial<Cluster>) => boolean;
export declare const selectClusterValidationsInfo: ({ validationsInfo, }: Pick<Cluster, 'validationsInfo'>) => ValidationsInfo | undefined;
export declare const selectIpv4Cidr: ({ machineNetworks, serviceNetworks, clusterNetworks, }: Pick<Cluster, 'machineNetworks' | 'clusterNetworks' | 'serviceNetworks'>, key: 'machineNetworks' | 'serviceNetworks' | 'clusterNetworks') => string | undefined;
export declare const selectIpv6Cidr: ({ machineNetworks, serviceNetworks, clusterNetworks, }: Pick<Cluster, 'machineNetworks' | 'clusterNetworks' | 'serviceNetworks'>, key: 'machineNetworks' | 'serviceNetworks' | 'clusterNetworks') => string | undefined;
export declare const selectIpv4HostPrefix: ({ clusterNetworks }: Pick<Cluster, 'clusterNetworks'>) => number | undefined;
export declare const selectIpv6HostPrefix: ({ clusterNetworks }: Pick<Cluster, 'clusterNetworks'>) => number | undefined;
export declare const isArmArchitecture: ({ cpuArchitecture }: Pick<Cluster, 'cpuArchitecture'>) => boolean;
export declare const selectMastersMustRunWorkloads: (cluster: Cluster) => boolean;
export declare const selectSchedulableMasters: (cluster: Cluster) => boolean;
