import { IRow } from '@patternfly/react-table';
import { Cluster, V2ClusterUpdateParams, ClusterValidationId } from '../api/types';
import { Validation as HostValidation } from './hosts';
export declare type Validation = Omit<HostValidation, 'id'> & {
    id: ClusterValidationId;
};
export declare type ValidationGroup = 'configuration' | 'hostsData' | 'hosts-data' | 'network' | 'operators';
export declare type ValidationsInfo = {
    [key in ValidationGroup]?: Validation[];
};
export declare type ClusterWizardStepStatusDeterminationObject = {
    status: Cluster['status'];
    validationsInfo?: Cluster['validationsInfo'] | ValidationsInfo;
};
export declare type ClusterTableRows = IRow[];
export declare type HostSubnet = {
    subnet: string;
    hostIDs: string[];
    humanized: string;
};
export declare type HostSubnets = HostSubnet[];
export declare type NetworkConfigurationValues = Pick<V2ClusterUpdateParams, 'clusterNetworkCidr' | 'clusterNetworkHostPrefix' | 'serviceNetworkCidr' | 'apiVip' | 'ingressVip' | 'sshPublicKey' | 'vipDhcpAllocation' | 'networkType' | 'machineNetworks' | 'clusterNetworks' | 'serviceNetworks'> & {
    hostSubnet?: string;
    managedNetworkingType: 'userManaged' | 'clusterManaged';
    stackType?: 'singleStack' | 'dualStack';
};
export declare type HostDiscoveryValues = V2ClusterUpdateParams & {
    useExtraDisksForLocalStorage: boolean;
    useContainerNativeVirtualization: boolean;
    usePlatformIntegration: boolean;
    schedulableMasters: boolean;
};
export declare type StorageValues = V2ClusterUpdateParams & {
    nodeLabeling: string;
};
export declare enum CpuArchitecture {
    x86 = "x86_64",
    ARM = "arm64"
}
