import { FeatureSupportLevel } from '../api/types';
import { ArrayElementType } from './typescriptExtensions';
declare type Features = Required<ArrayElementType<FeatureSupportLevel['features']>>;
export declare type FeatureId = Features['featureId'] | 'ODF' | 'CNV' | 'NETWORK_TYPE_SELECTION';
export declare type SupportLevel = Features['supportLevel'];
export declare type FeatureIdToSupportLevel = {
    [id in FeatureId]?: SupportLevel;
};
export declare type FeatureSupportLevelsMap = {
    [id in string]: FeatureIdToSupportLevel;
};
export declare type ClusterFeatureUsage = {
    [key: string]: {
        id: FeatureId;
        name: string;
        data?: {
            [key: string]: unknown;
        };
    };
};
export declare type PreviewSupportLevel = 'tech-preview' | 'dev-preview';
export declare const isPreviewSupportLevel: (supportLevel: SupportLevel | undefined) => supportLevel is PreviewSupportLevel;
export {};
