import { Host, HostRoleUpdateParams, HostValidationId } from '../api';
export declare type Validation = {
    id: HostValidationId;
    status: 'success' | 'failure' | 'pending' | 'disabled' | 'error';
    message: string;
};
export declare type ValidationGroup = 'hardware' | 'network' | 'operators' | 'infrastructure';
export declare type ValidationsInfo = {
    [key in ValidationGroup]?: Validation[];
};
export declare type ClusterWizardStepHostStatusDeterminationObject = {
    status: Host['status'];
    validationsInfo?: Host['validationsInfo'] | ValidationsInfo;
};
export declare type HostRole = {
    value: HostRoleUpdateParams;
    label: string;
    description: string;
};
