export declare type ArrayElementType<TWhere> = TWhere extends (infer U)[] ? U extends object ? U : never : never;
export declare type Optional<T, K extends keyof T> = Omit<T, K> & {
    [K in keyof T]?: T[K];
};
export declare function isNonNullObject(val: unknown): val is object;
export declare function hasProp<T extends object, K extends PropertyKey>(obj: T, prop: K): obj is T & Record<K, unknown>;
