import { Address6 } from 'ip-address';
import * as Yup from 'yup';
export declare type UniqueStringArrayExtractor<FormValues> = (values: FormValues, context: Yup.TestContext, value: string) => string[] | undefined;
export declare const getUniqueValidationSchema: <FormValues>(uniqueStringArrayExtractor: UniqueStringArrayExtractor<FormValues>) => Yup.StringSchema<string>;
export declare const getIpAddressValidationSchema: (protocolVersion: 'ipv4' | 'ipv6') => Yup.StringSchema<string>;
export declare const compareIPV6Addresses: (address1: Address6, address2: Address6) => boolean;
export declare const isNotLocalHostIPAddress: (protocolVersion: 'ipv4' | 'ipv6') => Yup.StringSchema<string>;
export declare const isNotCatchAllIPAddress: (protocolVersion: 'ipv4' | 'ipv6') => Yup.StringSchema<string>;
export declare const getIpAddressInSubnetValidationSchema: (protocolVersion: 'ipv4' | 'ipv6', subnet: string) => Yup.StringSchema<string>;
