import { HostStaticNetworkConfig, InfraEnv, InfraEnvUpdateParams } from '../../../../../common';
import Yup from 'yup';
import { FormikErrors, FormikTouched } from 'formik';
export declare type StaticIpFormState = {
    isAutoSaveRunning: boolean;
    isValid: boolean;
    isSubmitting: boolean;
    touched: FormikTouched<object>;
    errors: FormikErrors<object>;
    isEmpty: boolean;
};
export declare type StaticIpProps = {
    infraEnv: InfraEnv;
    updateInfraEnv: (infraEnvUpdateParams: InfraEnvUpdateParams) => Promise<InfraEnv>;
};
export declare type StaticIpPageProps = StaticIpProps & {
    onFormStateChange(formState: StaticIpFormState): void;
};
export declare type StaticIpViewProps = StaticIpPageProps & {
    showEmptyValues: boolean;
};
export declare type StaticIpFormProps<StaticIpViewValues extends object> = StaticIpViewProps & {
    showEmptyValues: boolean;
    getInitialValues(infraEnv: InfraEnv): StaticIpViewValues;
    getUpdateParams(currentInfraEnv: InfraEnv, values: StaticIpViewValues): HostStaticNetworkConfig[];
    validationSchema: Yup.Schema<StaticIpViewValues>;
    getEmptyValues(): StaticIpViewValues;
};
