import { HostStaticNetworkConfig } from '../../../../../common';
export declare enum StaticIpView {
    YAML = "yaml",
    FORM = "form"
}
export declare type ProtocolVersion = 'ipv4' | 'ipv6';
export declare type StaticProtocolType = 'ipv4' | 'dualStack';
export declare type Cidr = {
    ip: string;
    prefixLength: number | '';
};
export declare type IpConfig = {
    machineNetwork: Cidr;
    gateway: string;
    dns: string;
};
export declare type IpConfigs = {
    [protocolVersion in ProtocolVersion]: IpConfig;
};
export declare type HostIps = {
    [protocolVersion in ProtocolVersion]: string;
};
export declare type FormViewHost = {
    macAddress: string;
    ips: HostIps;
};
export declare type StaticFormData = {
    networkWide: FormViewNetworkWideValues;
    hosts: FormViewHost[];
};
export declare type StaticIpInfo = {
    isDataComplete: boolean;
    view: StaticIpView;
    formViewProtocolType: StaticProtocolType | null;
};
export interface YamlViewValues {
    hosts: HostStaticNetworkConfig[];
}
export interface FormViewHostsValues {
    hosts: FormViewHost[];
}
export interface FormViewNetworkWideValues {
    protocolType: StaticProtocolType;
    useVlan: boolean;
    vlanId: number | '';
    ipConfigs: IpConfigs;
}
