import { Nmstate, NmstateDns, NmstateEthernetInterface, NmstateProtocolConfig, NmstateProtocolConfigs, NmstateRoutesConfig, NmstateVlanInterface } from './nmstateTypes';
import { IpConfigs, ProtocolVersion, StaticProtocolType } from './dataTypes';
export declare const YAML_COMMENT_CHAR = "#";
export declare const FORM_VIEW_PREFIX = "generated by ui form view";
export declare const getMachineNetworkFieldName: (protocolVersion: ProtocolVersion) => string;
export declare const getProtocolVersionIdx: (protocolVersion: ProtocolVersion) => number;
export declare const yamlToNmstateObject: (yaml: string) => Nmstate;
export declare const getYamlComments: (yaml: string) => string[];
export declare const toYamlWithComments: (json: object, comments: string[]) => string;
export declare const getMachineNetworks: (comments: string[]) => {
    ipv4: string;
    ipv6: string;
};
export declare const getProtocolType: (comments: string[]) => StaticProtocolType | null;
export declare const getNmstateProtocolConfig: (ipAddress: string, prefixLength: number) => NmstateProtocolConfig;
export declare const getDnsSection: (ipConfigs: IpConfigs, protocolType: StaticProtocolType) => NmstateDns;
export declare const getVlanInterface: (nicName: string, vlanId: number, protocolConfigs: NmstateProtocolConfigs) => NmstateVlanInterface;
export declare const getEthernetInterface: (nicName: string, protocolConfigs: NmstateProtocolConfigs) => NmstateEthernetInterface;
export declare const getRouteConfig: (protocolVersion: ProtocolVersion, gatewayAddress: string, nicName: string) => NmstateRoutesConfig;
