/// <reference types="react" />
import { Cluster, Credentials, MonitoredOperator, MonitoredOperatorsList } from '../../../common';
declare type ClusterStatusVarieties = {
    credentials?: Credentials;
    credentialsError: string;
    olmOperators: MonitoredOperatorsList;
    failedOlmOperators: MonitoredOperatorsList;
    consoleOperator?: MonitoredOperator;
    fetchCredentials: () => void;
};
export declare const useClusterStatusVarieties: (cluster?: Cluster | undefined) => ClusterStatusVarieties;
declare type ClusterDetailStatusVarietiesProps = {
    cluster: Cluster;
    clusterVarieties: ClusterStatusVarieties;
    showAddHostsInfo?: boolean;
    showKubeConfig?: boolean;
};
declare const ClusterDetailStatusVarieties: ({ cluster, clusterVarieties, showAddHostsInfo, showKubeConfig, }: ClusterDetailStatusVarietiesProps) => JSX.Element;
export default ClusterDetailStatusVarieties;
