import { Cluster } from '../../../common/api/types';
import { WizardStepsValidationMap } from '../../../common/components/clusterWizard/validationsInfoUtils';
import { StaticIpInfo } from '../clusterConfiguration/staticIp/data/dataTypes';
export declare type ClusterWizardStepsType = 'cluster-details' | 'static-ip-yaml-view' | 'static-ip-network-wide-configurations' | 'static-ip-host-configurations' | 'host-discovery' | 'storage' | 'networking' | 'review';
export declare type ClusterWizardFlowStateType = Cluster['status'] | 'new';
export declare const getClusterWizardFirstStep: (staticIpInfo: StaticIpInfo | undefined, state?: "insufficient" | "ready" | "error" | "preparing-for-installation" | "pending-for-input" | "installing" | "finalizing" | "installed" | "adding-hosts" | "cancelled" | "installing-pending-user-action" | "new" | undefined) => ClusterWizardStepsType;
declare type TransitionProps = {
    cluster: Cluster;
};
export declare const wizardStepsValidationsMap: WizardStepsValidationMap<ClusterWizardStepsType>;
export declare const allClusterWizardSoftValidationIds: ("connected" | "media-connected" | "has-inventory" | "has-min-cpu-cores" | "has-min-valid-disks" | "has-min-memory" | "machine-cidr-defined" | "has-cpu-cores-for-role" | "has-memory-for-role" | "hostname-unique" | "hostname-valid" | "belongs-to-machine-cidr" | "ignition-downloadable" | "belongs-to-majority-group" | "valid-platform-network-settings" | "ntp-synced" | "container-images-available" | "lso-requirements-satisfied" | "ocs-requirements-satisfied" | "odf-requirements-satisfied" | "sufficient-installation-disk-speed" | "cnv-requirements-satisfied" | "sufficient-network-latency-requirement-for-role" | "sufficient-packet-loss-requirement-for-role" | "has-default-route" | "api-domain-name-resolved-correctly" | "api-int-domain-name-resolved-correctly" | "apps-domain-name-resolved-correctly" | "compatible-with-cluster-platform" | "dns-wildcard-not-configured" | "disk-encryption-requirements-satisfied" | "non-overlapping-subnets" | "vsphere-disk-uuid-enabled" | "compatible-agent" | "cluster-cidr-defined" | "service-cidr-defined" | "no-cidrs-overlapping" | "networks-same-address-families" | "network-prefix-valid" | "machine-cidr-equals-to-calculated-cidr" | "api-vip-defined" | "api-vip-valid" | "ingress-vip-defined" | "ingress-vip-valid" | "all-hosts-are-ready-to-install" | "sufficient-masters-count" | "dns-domain-defined" | "pull-secret-set" | "ntp-server-configured" | "network-type-valid")[];
export declare const canNextClusterDetails: ({ cluster }: TransitionProps) => boolean;
export declare const canNextHostDiscovery: ({ cluster }: TransitionProps) => boolean;
export declare const canNextStorage: ({ cluster }: TransitionProps) => boolean;
export declare const canNextNetwork: ({ cluster }: TransitionProps) => boolean;
export declare const isStaticIpStep: (stepId: ClusterWizardStepsType) => boolean;
export {};
