import React from 'react';
import { Host, Inventory, Cluster } from '../../../common';
declare type HostIdAndHostname = {
    hostId: Host['id'];
    hostname: string;
};
declare type EditHostProps = {
    host: Host;
    inventory: Inventory;
};
declare type ResetClusterProps = {
    cluster: Cluster;
};
declare type CancelInstallationProps = {
    clusterId: Cluster['id'];
};
declare type DiscoveryImageDialogProps = {
    cluster: Cluster;
};
declare type MassUpdateHostnameDialogProps = {
    cluster: Cluster;
    hostIDs: string[];
};
declare type MassDeleteHostDialogProps = {
    hosts: Host[];
    onDelete: (host: Host) => Promise<any>;
};
declare type ModalDialogsDataTypes = {
    eventsDialog: HostIdAndHostname;
    editHostDialog: EditHostProps;
    deleteHostDialog: HostIdAndHostname;
    resetHostDialog: HostIdAndHostname;
    additionalNTPSourcesDialog: void;
    resetClusterDialog: ResetClusterProps;
    cancelInstallationDialog: CancelInstallationProps;
    discoveryImageDialog: DiscoveryImageDialogProps;
    UpdateDay2ApiVipDialog: void;
    massUpdateHostnameDialog: MassUpdateHostnameDialogProps;
    massDeleteHostDialog: MassDeleteHostDialogProps;
};
declare type DialogId = 'eventsDialog' | 'editHostDialog' | 'deleteHostDialog' | 'resetHostDialog' | 'additionalNTPSourcesDialog' | 'resetClusterDialog' | 'cancelInstallationDialog' | 'discoveryImageDialog' | 'UpdateDay2ApiVipDialog' | 'massUpdateHostnameDialog' | 'massDeleteHostDialog';
export declare type ModalDialogsContextType = {
    [key in DialogId]: {
        isOpen: boolean;
        open: (data: ModalDialogsDataTypes[key]) => void;
        close: () => void;
        data: ModalDialogsDataTypes[key];
    };
};
declare const ModalDialogsContextProvider: React.FC;
declare const useModalDialogsContext: () => ModalDialogsContextType;
export { ModalDialogsContextProvider, useModalDialogsContext };
