import * as React from 'react';
import { Cluster, Disk, DiskRole, Host, HostUpdateParams } from '../../../common';
import { UpdateDay2ApiVipFormProps } from './UpdateDay2ApiVipForm';
export declare const useHostsTable: (cluster: Cluster) => {
    onDiskRole: (hostId: Host['id'], diskId: Disk['id'], role: DiskRole) => Promise<void>;
    onEditHost: (host: Host) => void;
    actionChecks: {
        canEditRole: () => boolean;
        canInstallHost: (host: Host) => boolean;
        canEditDisks: (host: Host) => boolean;
        canEnable: (host: Host) => boolean;
        canDisable: (host: Host) => boolean;
        canDelete: (host: Host) => boolean;
        canEditHost: (host: Host) => boolean;
        canReset: (host: Host) => boolean;
        canEditHostname: () => boolean;
    };
    onEditRole: ({ id, clusterId }: Host, role: HostUpdateParams['hostRole']) => Promise<void>;
    actionResolver: import("../../../common/components/hosts/AITable").ActionsResolver<Host>;
    onReset: () => void;
    onDelete: () => void;
    onAdditionalNtpSource: (additionalNtpSource: string, onError: (message: string) => void) => Promise<void>;
    onUpdateDay2ApiVip: (apiVip: string, onError: (message: string) => void) => Promise<void>;
    onSelect: (obj: Host, isSelected: boolean) => void;
    selectedHostIDs: string[];
    setSelectedHostIDs: React.Dispatch<React.SetStateAction<string[]>>;
    onMassChangeHostname: () => void;
    onMassDeleteHost: () => void;
};
declare type HostsTableModalsProps = {
    cluster: Cluster;
    onReset: VoidFunction;
    onDelete: VoidFunction;
    onAdditionalNtpSource: (additionalNtpSource: string, onError: (message: string) => void) => Promise<void>;
    onUpdateDay2ApiVip: UpdateDay2ApiVipFormProps['onUpdateDay2ApiVip'];
};
export declare const HostsTableModals: React.FC<HostsTableModalsProps>;
export {};
