import { Cluster, Disk, DiskRole, Host, HostUpdateParams } from '../../common';
declare const HostsService: {
    /**
     * Deletes all the hosts in the given cluster
     * @param clusterId
     */
    deleteAll(clusterId: Cluster['id']): Promise<any[]>;
    /**
     * Retrieves all the hosts that are bound to the given cluster
     * @param clusterId
     */
    listHostsBoundToCluster(clusterId: Cluster['id']): Promise<any>;
    update(clusterId: Cluster['id'], hostId: Host['id'], params: HostUpdateParams): Promise<any>;
    updateHostName(clusterId: Cluster['id'], hostId: Host['id'], newHostName: HostUpdateParams['hostName']): Promise<any>;
    updateRole(clusterId: Cluster['id'], hostId: Host['id'], newHostRole: HostUpdateParams['hostRole']): Promise<any>;
    updateHostODF(clusterId: Cluster['id'], hostId: Host['id'], newNodeLabels: HostUpdateParams['nodeLabels']): Promise<any>;
    updateDiskRole(clusterId: Cluster['id'], hostId: Host['id'], diskId: Required<Disk>['id'], newDiskRole: DiskRole): Promise<any>;
    delete(clusterId: Cluster['id'], hostId: Host['id']): Promise<any>;
    reset(clusterId: Cluster['id'], hostId: Host['id']): Promise<any>;
    install(clusterId: Cluster['id'], hostId: Host['id']): Promise<any>;
    installAll(cluster: Cluster): Promise<any[]>;
};
export default HostsService;
