import { Cluster, ClusterCreateParams, V2ClusterUpdateParams, ImportClusterParams } from '../../../common/api/types';
import { ClustersAPIGetPresignedOptions } from './types';
declare const ClustersAPI: {
    makeBaseURI(clusterId?: string | undefined): string;
    makeDownloadsBaseURI(clusterId: Cluster['id']): string;
    makeLogsBaseURI(clusterId: Cluster['id']): string;
    makeDownloadsCredentialsBaseURI(clusterId: Cluster['id']): string;
    makeDownloadsCredentialsPresignedBaseURI(clusterId: Cluster['id']): string;
    makeDownloadsFilesPresignedBaseURI(clusterId: Cluster['id']): string;
    makeSupportedPlatformsBaseURI(clusterId: Cluster['id']): string;
    makeActionsBaseURI(clusterId: string): string;
    downloadClusterCredentials(clusterId: Cluster['id'], fileName: string): any;
    getPresignedForClusterCredentials({ clusterId, fileName, hostId, logsType, }: ClustersAPIGetPresignedOptions): any;
    getPresignedForClusterFiles({ clusterId, fileName, hostId, logsType, }: ClustersAPIGetPresignedOptions): any;
    list(): any;
    get(clusterId: Cluster['id']): any;
    getSupportedPlatforms(clusterId: Cluster['id']): any;
    getPreflightRequirements(clusterId: Cluster['id']): any;
    getDefaultConfig(): any;
    deregister(clusterId: Cluster['id']): any;
    register(params: ClusterCreateParams): any;
    update(clusterId: Cluster['id'], params: V2ClusterUpdateParams): any;
    install(clusterId: Cluster['id']): any;
    cancel(clusterId: Cluster['id']): any;
    reset(clusterId: Cluster['id']): any;
    registerAddHosts(params: ImportClusterParams): any;
    allowAddHosts(clusterId: Cluster['id']): any;
    downloadLogs(clusterId: Cluster['id'], hostId?: string | undefined): any;
    getCredentials(clusterId: Cluster['id']): any;
    listByOpenshiftId(openshiftId: Cluster['openshiftClusterId']): any;
    listBySubscriptionIds(subscriptionIds: Cluster['amsSubscriptionId'][]): any;
};
export default ClustersAPI;
